import { Module } from '@nestjs/common'

import { AgentListModule } from '@/module/agent-list/agent-list.module'
import { AgentModuleModule } from '@/module/agent-module/agent-module.module'
import { AgentServerModule } from '@/module/agent-server/agent-server.module'
import { AgentTestModule } from '@/module/agent-test/agent-test.module'
import { ChatManagementModule } from '@/module/chat-management/chat-management.module'
import { SqlAgentModule } from '@/module/sql-agent/sql-agent.module'
import { TencentCloudModule } from '@/module/tencent-cloud/tencent-cloud.module'

@Module({
  imports: [
    SqlAgentModule,
    TencentCloudModule,
    AgentServerModule,
    ChatManagementModule,
    AgentListModule,
    AgentTestModule,
    AgentModuleModule
  ]
})
export class AppModule {}
