import { ServiceResponse } from '../response/response.interface'

export interface IAgentModuleService {
  getModuleList(): Promise<ServiceResponse<ModuleConfigurationType[]>>
  getModuleConfiguration(
    module_id: number
  ): Promise<ServiceResponse<ModuleConfigurationType>>
  saveModuleConfiguration(
    module_id: number,
    name: string,
    display_name: string,
    default_agent_type: number,
    default_agent_id: number
  ): Promise<ServiceResponse<any>>
}
