import { ServiceResponse } from '../response/response.interface'

export interface IAgentTestService {
  createTestTask(
    params: Record<string, any>
  ): Promise<ServiceResponse<TestTaskType>>
  getEvaluteType(
    params: Record<string, any>
  ): Promise<ServiceResponse<EvaluteType>>
  getTestTaskList(
    params: Record<string, any>
  ): Promise<ServiceResponse<TestTaskListType>>
  stopTestTask(params: Record<string, any>): Promise<ServiceResponse<any>>
  resumeTestTask(params: Record<string, any>): Promise<ServiceResponse<any>>
  getTestTaskConversations(
    params: Record<string, any>
  ): Promise<ServiceResponse<TaskConversationsType>>
}
