import { Module } from '@nestjs/common'

import { HttpClientModule } from '@/shared/http-client/http-client.module'

import { AgentListController } from './agent-list.controller'
import { AgentListHttpService } from './service/agent-list-http.service'
import { AgentListService } from './service/agent-list.service'

@Module({
  imports: [HttpClientModule],
  controllers: [AgentListController],
  providers: [AgentListHttpService, AgentListService]
})
export class AgentListModule {}
