import { Module } from '@nestjs/common'

import { HttpClientModule } from '@/shared/http-client/http-client.module'

import { AgentModuleController } from './agent-module.controller'
import { AgentModuleHttpService } from './service/agent-module-http.service'
import { AgentModuleService } from './service/agent-module.service'

@Module({
  imports: [HttpClientModule],
  controllers: [AgentModuleController],
  providers: [AgentModuleHttpService, AgentModuleService]
})
export class AgentModuleModule {}
