type TestTaskType = {
  code: number
  msg: string
}

type EvaluteType = {
  code: number
  msg: string
  data: {
    list: {
      type: number
      desc: string
    }[]
  }
}

type TestTaskListType = {
  code: number
  msg: string
  data: TestTaskListData
}

type TestTaskListData = {
  currentPage: number
  pageSize: number
  totalSize: number
  total: number
  list: {
    id: number
    agentName: string
    createUser: string
    updateUser: string
    statusName: string
    createTime: string
    updateTime: string
  }[]
}

type TaskConversationsType = {
  code: number
  msg: string
  data: TaskConversationsData
}

type TaskConversationsData = {
  currentPage: number
  pageSize: number
  totalSize: number
  total: number
  list: {
    id: number
    agentName: string
    input: string
    output: string
    score: string
    statusName: string
    createTime: string
    updateTime: string
  }[]
}
